Bug 195795 - gnome-about-me fails to start due to malformed glade file
gnome-about-me fails to start due to malformed glade file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-17 17:08 EDT by James Laska
Modified: 2013-09-02 02:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-25 13:04:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2006-06-17 17:08:55 EDT
# RPM control-center-2.14.2-3.i386
# FILE /usr/share/control-center-2.0/interfaces/gnome-about-me.glade

$ gnome-about-me

(gnome-about-me:28205): libglade-WARNING **: Unexpected element <packing> inside
<widget>.

(gnome-about-me:28205): XML-CRITICAL **: Opening and ending tag mismatch: widget
line 116 and child


(gnome-about-me:28205): XML-CRITICAL **: Opening and ending tag mismatch: child
line 115 and widget


(gnome-about-me:28205): XML-CRITICAL **: Opening and ending tag mismatch: widget
line 83 and child


(gnome-about-me:28205): XML-CRITICAL **: Opening and ending tag mismatch: child
line 82 and widget


(gnome-about-me:28205): XML-CRITICAL **: Opening and ending tag mismatch: widget
line 77 and child


(gnome-about-me:28205): XML-CRITICAL **: Opening and ending tag mismatch: child
line 76 and widget


(gnome-about-me:28205): XML-CRITICAL **: Opening and ending tag mismatch: widget
line 70 and child


(gnome-about-me:28205): XML-CRITICAL **: Opening and ending tag mismatch: child
line 69 and widget


(gnome-about-me:28205): XML-CRITICAL **: Opening and ending tag mismatch: widget
line 25 and child


(gnome-about-me:28205): XML-CRITICAL **: Opening and ending tag mismatch: child
line 24 and widget


(gnome-about-me:28205): XML-CRITICAL **: Opening and ending tag mismatch: widget
line 6 and glade-interface


(gnome-about-me:28205): XML-CRITICAL **: Premature end of data in tag
glade-interface line 4


(gnome-about-me:28205): libglade-WARNING **: widget_depth != 0 (6)

(gnome-about-me:28205): libglade-WARNING **: did not finish in PARSER_FINISH state

-properties-ERROR **: Unable to load glade file.
aborting...


I'm able to work around the failure by applying the following fix to the
gnome-about-me glade file:

# diff -u /usr/share/control-center-2.0/interfaces/gnome-about-me.glade
/tmp/gnome-about-me.glade
--- /usr/share/control-center-2.0/interfaces/gnome-about-me.glade      
2006-06-17 17:15:22.000000000 -0400
+++ /tmp/gnome-about-me.glade   2006-06-17 17:15:12.000000000 -0400
@@ -136,6 +136,7 @@
                           <property name="angle">0</property>
                         </widget>
                       </child>
+                        </widget>
                    <packing>
                      <property name="padding">0</property>
                      <property name="expand">False</property>
Comment 1 Matthias Clasen 2006-07-25 13:04:00 EDT
Fixed in rawhide

Note You need to log in before you can comment on or make changes to this bug.